%define name	flow-tools
%define version	0.67
%define release 1mdk

%define	major	0
%define libname	%mklibname ft %{major}

Summary:	Tool set for working with NetFlow data
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Monitoring
URL:		http://www.splintered.net/sw/flow-tools/
Source0:	%{name}-%{version}.tar.bz2
Source1:	flow-capture.init.bz2
Source2:	flow-capture.conf.bz2
Patch0:		flow-tools-0.67-shared.diff.bz2
Patch1:		flow-tools-0.67-debug.diff.bz2
Patch2:		flow-tools-0.67-amd64.diff.bz2
Requires:	tcp_wrappers
BuildRequires:	docbook-utils
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	zlib-devel
BuildRequires:	tcp_wrappers-devel
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
#BuildRequires:	MySQL-devel
#BuildRequires:	postgresql-libs-devel
#BuildRequires:	postgresql-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Flow-tools is library and a collection of programs used to
collect, send, process, and generate reports from NetFlow data.
The tools can be used together on a single server or distributed
to multiple servers for large deployments. The flow-toools library
provides an API for development of custom applications for NetFlow
export versions 1,5,6 and the 14 currently defined version 8
subversions.

%package -n	%{libname}
Summary:	Flow-tools shared libraries
Group:          System/Libraries

%description -n	%{libname}
Flow-tools is library and a collection of programs used to
collect, send, process, and generate reports from NetFlow data.
The tools can be used together on a single server or distributed
to multiple servers for large deployments. The flow-toools library
provides an API for development of custom applications for NetFlow
export versions 1,5,6 and the 14 currently defined version 8
subversions.

%package -n	%{libname}-devel
Summary:	Development headers and libraries for %{name}
Group:		Development/C
Obsoletes:	%{name}-devel libft-devel
Provides:	%{name}-devel libft-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
Flow-tools is library and a collection of programs used to
collect, send, process, and generate reports from NetFlow data.
The tools can be used together on a single server or distributed
to multiple servers for large deployments. The flow-toools library
provides an API for development of custom applications for NetFlow
export versions 1,5,6 and the 14 currently defined version 8
subversions.

%package -n	flow-capture
Summary:	Manage storage of flow file archives by expiring old data
Group:		System/Servers
PreReq:		rpm-helper
Requires:	flow-tools = %{version}-%{release}

%description -n	flow-capture
The flow-capture utility will receive and store NetFlow exports to
disk.

%prep

%setup -q 
%patch0 -p1
%patch1 -p1

# (oe) it will only compile _with_ this patch applied...
#%ifarch x86_64 amd64
%patch2 -p1
#%endif

bzcat %{SOURCE1} > flow-capture.init
bzcat %{SOURCE2} > flow-capture.conf

%build
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force; aclocal-1.7; autoconf; automake-1.7 --add-missing

%configure2_5x \
    --bindir=%{_sbindir} \
    --localstatedir=%{_sysconfdir}/ft

#    --with-mysql=%{_prefix} \
#    --with-pgsql=%{_prefix}

%make CFLAGS="%{optflags} -fPIC"

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

%makeinstall \
    localstatedir=%{buildroot}%{_sysconfdir}/ft \
    bindir=%{buildroot}%{_sbindir}

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/ft
install -d %{buildroot}%{_localstatedir}/flow-capture

install -m0755 flow-capture.init %{buildroot}%{_initrddir}/flow-capture
install -m0644 flow-capture.conf %{buildroot}%{_sysconfdir}/flow-capture.conf

%post -n flow-capture
%_post_service flow-capture

%preun -n flow-capture
%_preun_service flow-capture

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README SECURITY TODO
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/ft/cfg/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/ft/sym/*
%dir %{_sysconfdir}/ft
%{_sbindir}/flow-cat
%{_sbindir}/flow-dscan
%{_sbindir}/flow-expire
%{_sbindir}/flow-export
%{_sbindir}/flow-fanout
%{_sbindir}/flow-filter
%{_sbindir}/flow-gen
%{_sbindir}/flow-header
%{_sbindir}/flow-import
%{_sbindir}/flow-mask
%{_sbindir}/flow-merge
%{_sbindir}/flow-nfilter
%{_sbindir}/flow-print
%{_sbindir}/flow-receive
%{_sbindir}/flow-report
%{_sbindir}/flow-send
%{_sbindir}/flow-split
%{_sbindir}/flow-stat
%{_sbindir}/flow-tag
%{_sbindir}/flow-xlate
%{_mandir}/man1/flow-cat.1*
%{_mandir}/man1/flow-dscan.1*
%{_mandir}/man1/flow-expire.1*
%{_mandir}/man1/flow-export.1*
%{_mandir}/man1/flow-fanout.1*
%{_mandir}/man1/flow-filter.1*
%{_mandir}/man1/flow-gen.1*
%{_mandir}/man1/flow-header.1*
%{_mandir}/man1/flow-import.1*
%{_mandir}/man1/flow-mask.1*
%{_mandir}/man1/flow-merge.1*
%{_mandir}/man1/flow-nfilter.1*
%{_mandir}/man1/flow-print.1*
%{_mandir}/man1/flow-receive.1*
%{_mandir}/man1/flow-report.1*
%{_mandir}/man1/flow-send.1*
%{_mandir}/man1/flow-split.1*
%{_mandir}/man1/flow-stat.1*
%{_mandir}/man1/flow-tag.1*
%{_mandir}/man1/flow-tools.1*
%{_mandir}/man1/flow-tools-examples.1*
%{_mandir}/man1/flow-xlate.1*

%files -n flow-capture
%defattr(-,root,root)
%config(noreplace) %attr(0755,root,root) %{_initrddir}/flow-capture
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/flow-capture.conf
%{_sbindir}/flow-capture
%{_mandir}/man1/flow-capture.1*
%dir %{_localstatedir}/flow-capture

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc docs/*.html
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Sun Aug 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.67-1mdk
- 0.67
- provide a shared lib as well (P0)
- added P1 & P2 (debian)
- made flow-capture a service as debian does it
- use autoconf2.5

* Sat Feb 28 2004 Michael Scherer <misc@mandrake.org> 0.66-2mdk 
- [DIRM]

* Thu Apr 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.66-1mdk
- 0.66
- drop P0, it's included upstream

* Sat Mar 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.63-2mdk
- rebuilt for 9.1
- misc spec file fixes

* Fri Dec 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.63-1mdk
- initial cooker contrib
- used and fixed the provided spec file
